import { BuildInfoE2EComponent } from '../components/buildinfo/buildinfo.e2e.component';
import { HeaderE2EComponent } from './header.po';

export class MainPage {
  private readonly buildInfo: BuildInfoE2EComponent = new BuildInfoE2EComponent();
  private readonly header: HeaderE2EComponent = new HeaderE2EComponent();

  public getBuildInfo(): BuildInfoE2EComponent {
    return this.buildInfo;
  }

  public getHeader(): HeaderE2EComponent {
    return this.header;
  }
}

export function waitForSpinnerToDisappear(): boolean {
  return cy.getTestElementWithClass('spinner').should('not.exist');
}

export function waitforSpinnerToAppear(): void {
  // exist(cy.getTestElementWithClass('spinner'));
}
