import { Route } from '@angular/router';
import { PostfachPageComponent } from '../pages/postfach/postfach-page/postfach-page.component';
import { UserRolesPageComponent } from '../pages/users-roles/user-roles-page/user-roles-page.component';

export const appRoutes: Route[] = [
  {
    path: '',
    redirectTo: 'postfach',
    pathMatch: 'full',
  },
  {
    path: 'postfach',
    component: PostfachPageComponent,
    title: 'Admin | Postfach',
  },
  {
    path: 'benutzer_und_rollen',
    component: UserRolesPageComponent,
    title: 'Admin | Benutzer & Rollen',
  },
  // {
  //   path: 'organisationseinheiten',
  //   component: OrganisationseinheitPageComponent,
  //   title: 'Admin | Organisationseinheiten',
  // },
];
