import { createStateResource, StateResource } from '@alfa-client/tech-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { Organisationseinheit } from '../../../user/user.model';

@Component({
  selector: 'admin-organisationseinheit-list',
  templateUrl: './organisationseinheit-list.component.html',
})
export class OrganisationseinheitListComponent {
  @Input()
  organisationseinheitItems: StateResource<Organisationseinheit[]> = createStateResource([]);

  @Output()
  editOrganisationseinheit: EventEmitter<Organisationseinheit> = new EventEmitter();

  @Output()
  deleteOrganisationseinheit: EventEmitter<Organisationseinheit> = new EventEmitter();
}
