export interface Organisationseinheit {
  id: string;
  name: string;
  organisationseinheitIds: string[];
}

export enum OrganisationseinheitErrorType {
  NAME_CONFLICT = 'name-conflict',
  NAME_MISSING = 'name-missing',
  ID_MISSING = 'id-missing',
}

export interface OrganisationseinheitError {
  errorType: OrganisationseinheitErrorType;
  detail: string;
}

export interface User {
  id: string;
  username: string;
  email: string;
  firstName: string;
  lastName: string;
  groups?: string[];
  roles?: string[];
}
