import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MockComponent } from 'ng-mocks';
import { VorgangDetailBescheidenStepButtonsComponent } from './vorgang-detail-bescheiden-step-buttons/vorgang-detail-bescheiden-step-buttons.component';
import { VorgangDetailBescheidenStepsContentComponent } from './vorgang-detail-bescheiden-steps-content/vorgang-detail-bescheiden-steps-content.component';
import { VorgangDetailBescheidenStepsComponent } from './vorgang-detail-bescheiden-steps.component';
import { VorgangDetailBescheidenWeiterButtonComponent } from './vorgang-detail-bescheiden-weiter-button/vorgang-detail-bescheiden-weiter-button.component';

describe('VorgangDetailBescheidenStepsComponent', () => {
  let component: VorgangDetailBescheidenStepsComponent;
  let fixture: ComponentFixture<VorgangDetailBescheidenStepsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        VorgangDetailBescheidenStepsComponent,
        MockComponent(VorgangDetailBescheidenStepButtonsComponent),
        MockComponent(VorgangDetailBescheidenWeiterButtonComponent),
        MockComponent(VorgangDetailBescheidenStepsContentComponent),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangDetailBescheidenStepsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('changeActiveStep', () => {
    it('should set activeStep', () => {
      const step: number = 1;

      component.changeActiveStep(step);

      expect(component.activeStep).toBe(step);
    });
  });
});
