package de.ozgcloud.alfa.bescheid;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.alfa.common.binaryfile.BinaryFileTestFactory;
import de.ozgcloud.alfa.common.binaryfile.FileId;

public class DocumentTestFactory {

	public static final String ID = UUID.randomUUID().toString();
	public static final String TYPE = LoremIpsum.getInstance().getWords(1);
	public static final FileId FILE_ID = BinaryFileTestFactory.FILE_ID;
	public static final String NACHRICHT_SUBJECT = LoremIpsum.getInstance().getWords(5);
	public static final String NACHRICHT_TEXT = LoremIpsum.getInstance().getWords(20);

	public static Document.DocumentBuilder createBuilder() {
		return Document.builder()
				.id(ID)
				.type(TYPE)
				.fileId(FILE_ID)
				.nachrichtSubject(NACHRICHT_SUBJECT)
				.nachrichtText(NACHRICHT_TEXT);
	}

	public static Document create() {
		return createBuilder().build();
	}
}
