package de.ozgcloud.alfa.common.attacheditem;

import de.ozgcloud.alfa.vorgang.GrpcVorgangAttachedItemTestFactory;
import de.ozgcloud.vorgang.vorgangAttachedItem.GrpcVorgangAttachedItem;
import de.ozgcloud.vorgang.vorgangAttachedItem.GrpcVorgangAttachedItemResponse;

public class GrpcVorgangAttachedItemResponseTestFactory {

	public static final GrpcVorgangAttachedItem VORGANG_ATTACHED_ITEM = GrpcVorgangAttachedItemTestFactory.create();

	public static GrpcVorgangAttachedItemResponse create() {
		return createBuilder().build();
	}

	public static GrpcVorgangAttachedItemResponse.Builder createBuilder() {
		return GrpcVorgangAttachedItemResponse.newBuilder().setVorgangAttachedItem(VORGANG_ATTACHED_ITEM);
	}
}
