export class UserProfileSearchE2EComponent {
  private readonly locatorInput: string = 'Bearbeiter-autocomplete-input';
  private readonly locatorError: string = 'Bearbeiter-autocomplete-error';
  private readonly locatorOptions: string = 'autocomplete-option';

  constructor(private root: string) {}

  public getRoot() {
    return cy.getTestElement(this.root);
  }

  public getInput() {
    return cy.getTestElement(this.locatorInput);
  }

  public getSearchOption(prefix: string) {
    return cy.getTestElement(prefix + '-' + this.locatorOptions);
  }

  public getError() {
    return cy.getTestElement(this.locatorError);
  }
}
