import { BuildInfoE2EComponent } from '../../components/buildinfo/buildinfo.e2e.component';
import { HeaderE2EComponent } from '../../page-objects/header.po';
import { MainPage } from '../../page-objects/main.po';
import { exist } from '../../support/cypress.util';
import { loginAsAriane } from '../../support/user-util';

describe('Buildinfo', () => {
  const mainPage: MainPage = new MainPage();
  const header: HeaderE2EComponent = mainPage.getHeader();
  const buildInfo: BuildInfoE2EComponent = mainPage.getBuildInfo();

  it('should login as Ariane', () => {
    loginAsAriane();
  });

  describe('get buildinfo', () => {
    it('should show version', () => {
      exist(buildInfo.getVersion());
      header.getCurrentUserProfile().logout();
    });
  });
});
