import { BescheidResource, BescheidService } from '@alfa-client/bescheid-shared';
import { StateResource, createEmptyStateResource } from '@alfa-client/tech-shared';
import { Component, OnInit } from '@angular/core';
import { Observable, of } from 'rxjs';

@Component({
  selector: 'alfa-vorgang-detail-bescheiden-dokumente-hinzufuegen',
  templateUrl: './vorgang-detail-bescheiden-dokumente-hinzufuegen.component.html',
  styles: [],
})
export class VorgangDetailBescheidenDokumenteHinzufuegenComponent implements OnInit {
  public bescheidDraftStateResource$: Observable<StateResource<BescheidResource>> = of(
    createEmptyStateResource<BescheidResource>(),
  );

  constructor(private bescheidService: BescheidService) {}

  ngOnInit(): void {
    this.bescheidDraftStateResource$ = this.bescheidService.getBescheidDraft();
  }
}
