package de.ozgcloud.alfa.bescheid;

import java.time.ZonedDateTime;

import de.ozgcloud.alfa.common.user.UserId;
import de.ozgcloud.alfa.common.user.UserProfileTestFactory;

public class SentInfoTestFactory {

	public static final ZonedDateTime SENT_AT = ZonedDateTime.now();
	public static final UserId SENT_BY = UserProfileTestFactory.ID;

	public static SentInfo create() {
		return createBuilder().build();
	}

	public static SentInfo.SentInfoBuilder createBuilder() {
		return SentInfo.builder()
				.sentAt(SENT_AT)
				.sentBy(SENT_BY);
	}
}
