package de.ozgcloud.alfa.common.user;

import java.util.Collections;
import java.util.UUID;

import de.ozgcloud.vorgang.grpc.command.GrpcUser;

public class GrpcUserTestFactory {

	public static final String ID = UUID.randomUUID().toString();
	public static final String NAME = UserProfileTestFactory.FULLNAME;
	public static final String ROLE = UserProfileTestFactory.ROLE;

	public static GrpcUser create() {
		return createBuilder().build();
	}

	public static GrpcUser.Builder createBuilder() {
		return GrpcUser.newBuilder()
				.setId(ID)
				.setName(NAME)
				.addAllRoles(Collections.singleton(ROLE));
	}
}