package de.ozgcloud.alfa.vorgang;

import de.ozgcloud.alfa.postfach.PostfachAddressTestFactory;

public class ServiceKontoTestFactory {

	public static final String TYPE = "OSI";

	public static ServiceKonto create() {
		return createBuilder().build();
	}

	public static ServiceKonto.ServiceKontoBuilder createBuilder() {
		return ServiceKonto.builder()
				.type(TYPE)
				.postfachAddress(PostfachAddressTestFactory.create());
	}
}
